Index: /branches/version-2_12-multilang/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_CheckError.php	(revision 22423)
+++ /branches/version-2_12-multilang/data/class/SC_CheckError.php	(revision 22433)
@@ -71,5 +71,5 @@
         $html_diff_tag_list = implode(', ', $arrDiffTag);
 
-        $this->arrErr[$value[1]] = t('c_* T_TAG contains the tag T_FIELD which is not allowed. <br />_01', array('T_FIELD' => $value[0], 'T_TAG' => $html_diff_tag_list));
+        $this->arrErr[$value[1]] = t('SC_CheckError_001', array('T_FIELD' => $value[0], 'T_TAG' => $html_diff_tag_list));
     }
 
@@ -87,7 +87,7 @@
         $this->createParam($value);
         if (!is_array($this->arrParam[$value[1]]) && strlen($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = t('c_* T_FIELD is blank. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_002', array('T_FIELD' => $value[0]));
         } else if (is_array($this->arrParam[$value[1]]) && count($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = t('c_* T_FIELD is not selected. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_003', array('T_FIELD' => $value[0]));
         }
     }
@@ -106,5 +106,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[0]]) == 0) {
-            $this->arrErr[$value[0]] = t('c_* T_FIELD is blank. <br />_01', array('T_FIELD' => $value[1]));
+            $this->arrErr[$value[0]] = t('SC_CheckError_004', array('T_FIELD' => $value[1]));
         }
     }
@@ -123,5 +123,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/^[ 　\t\r\n]+$/", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Spaces, tabs and line breaks are not possible in T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_005', array('T_FIELD' => $value[0]));
         }
     }
@@ -140,5 +140,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/[　 \t\r\n]+/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Do not include spaces, tabs or line breaks in T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_006', array('T_FIELD' => $value[0]));
         }
     }
@@ -151,5 +151,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/^[0]+[0-9]+$/", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* A numerical value that starts with 0 has been entered for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_007', array('T_FIELD' => $value[0]));
         }
     }
@@ -168,5 +168,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = t('c_* T_FIELD is not selected. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_008', array('T_FIELD' => $value[0]));
         }
     }
@@ -186,5 +186,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] !== $this->arrParam[$value[3]]) {
-            $this->arrErr[$value[2]] = t('c_* T_FIELD_1ST and T_FIELD_2ND do not match. <br />_01', array('T_FIELD_1ST' => $value[0], 'T_FIELD_2ND' => $value[1]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_009', array('T_FIELD_1ST' => $value[0], 'T_FIELD_2ND' => $value[1]));
         }
     }
@@ -204,5 +204,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] == $this->arrParam[$value[3]]) {
-            $this->arrErr[$value[2]] = t('c_* The same value cannot be used for T_FIELD_1ST and T_FIELD_2ND. <br />_01', array('T_FIELD_1ST' => $value[0], 'T_FIELD_2ND' => $value[1]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_010', array('T_FIELD_1ST' => $value[0], 'T_FIELD_2ND' => $value[1]));
         }
     }
@@ -222,5 +222,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] != '' && $this->arrParam[$value[3]] != '' && ($this->arrParam[$value[2]] > $this->arrParam[$value[3]])) {
-            $this->arrErr[$value[2]] = t('c_* It is not possible to enter a larger value for T_FIELD_1ST than for T_FIELD_2ND. <br />_01', array('T_FIELD_1ST' => $value[0], 'T_FIELD_2ND' => $value[1]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_011', array('T_FIELD_1ST' => $value[0], 'T_FIELD_2ND' => $value[1]));
         }
     }
@@ -240,5 +240,5 @@
         // 文字数の取得
         if (mb_strlen($this->arrParam[$value[1]]) > $value[2]) {
-            $this->arrErr[$value[1]] = t('c_* For T_FIELD, enter T_LENGTH  characters or less. <br />_01', array('T_FIELD' => $value[0], 'T_LENGTH' => $value[2]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_012', array('T_FIELD' => $value[0], 'T_LENGTH' => $value[2]));
         }
     }
@@ -258,5 +258,5 @@
         // 文字数の取得
         if (mb_strlen($this->arrParam[$value[1]]) < $value[2]) {
-            $this->arrErr[$value[1]] = t_plural($value[2], 'c_* For T_FIELD, enter T_COUNT characters or more. <br />_01', 'c_* For T_FIELD, input T_COUNT characters or more. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t_plural($value[2], 'SC_CheckError_013', 'SC_CheckError_013_PLURAL', array('T_FIELD' => $value[0]));
         }
     }
@@ -276,5 +276,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[1]] > $value[2]) {
-            $this->arrErr[$value[1]] = t('c_* For T_FIELD, enter T_LENGTH or smaller. <br />_01', array('T_FIELD' => $value[0], 'T_LENGTH' => $value[2]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_014', array('T_FIELD' => $value[0], 'T_LENGTH' => $value[2]));
         }
     }
@@ -293,5 +293,5 @@
         $this->createParam($value);
         if ($this->arrParam[$value[1]] < $value[2]) {
-            $this->arrErr[$value[1]] = t_plural($value[2], 'c_* Enter T_COUNT or higher for T_FIELD. <br />_01', 'c_* Input T_COUNT or higher for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t_plural($value[2], 'SC_CheckError_015_SINGLE', 'SC_CheckError_015_PLURAL', array('T_FIELD' => $value[0]));
         }
     }
@@ -310,5 +310,5 @@
         $this->createParam($value);
         if ($this->numelicCheck($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Enter only numbers for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_016', array('T_FIELD' => $value[0]));
         }
     }
@@ -327,5 +327,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !is_numeric($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Enter only numbers for T_FIELD. <br />_02', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_017', array('T_FIELD' => $value[0]));
         }
     }
@@ -337,5 +337,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !ctype_alpha($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Enter alphabetical characters for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_018', array('T_FIELD' => $value[0]));
         }
     }
@@ -372,5 +372,5 @@
         // すべての項目が満たされていない場合を判定(一部だけ入力されている状態)
         if ($cnt > 0 && $cnt < 3) {
-            $this->arrErr[$value[1]] .= t('c_* Enter all items for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] .= t('SC_CheckError_019', array('T_FIELD' => $value[0]));
         }
 
@@ -378,7 +378,7 @@
         for ($i = 1; $i <= 3; $i++) {
             if (strlen($this->arrParam[$value[$i]]) > 0 && strlen($this->arrParam[$value[$i]]) > $telItemLen) {
-                $this->arrErr[$value[$i]] .= t('c_* T_FIELD must be T_LENGTH characters or less. <br />_01', array('T_FIELD' => $value[0] . $i, 'T_LENGTH' => $telItemLen));
+                $this->arrErr[$value[$i]] .= t('SC_CheckError_020', array('T_FIELD' => $value[0] . $i, 'T_LENGTH' => $telItemLen));
             } else if ($this->numelicCheck($this->arrParam[$value[1]])) {
-                $this->arrErr[$value[$i]] .= t('c_* Enter numbers for T_FIELD. <br />_01', array('T_FIELD' => $value[0] . $i));
+                $this->arrErr[$value[$i]] .= t('SC_CheckError_021', array('T_FIELD' => $value[0] . $i));
             }
             $total_count += strlen($this->arrParam[$value[$i]]);
@@ -387,5 +387,5 @@
         // 合計値チェック
         if ($total_count > $telLen) {
-            $this->arrErr[$value[3]] .= t('c_* For T_FIELD, enter within a text length of T_LENGTH. <br />_01', array('T_FIELD' => $value[0], 'T_LENGTH' => $telLen));
+            $this->arrErr[$value[3]] .= t('SC_CheckError_022', array('T_FIELD' => $value[0], 'T_LENGTH' => $telLen));
         }
     }
@@ -415,5 +415,5 @@
 
         if ($blank) {
-            $this->arrErr[$value[1]] = t('c_* T_FIELD is blank. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_023', array('T_FIELD' => $value[0]));
         }
     }
@@ -446,5 +446,5 @@
 
         if ($blank && $input) {
-            $this->arrErr[$value[1]] = t('c_* Enter all items for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_024', array('T_FIELD' => $value[0]));
         }
     }
@@ -474,5 +474,5 @@
 
         if (!$input) {
-            $this->arrErr[$value[1]] = t('c_* T_FIELD is blank. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_025', array('T_FIELD' => $value[0]));
         }
     }
@@ -508,5 +508,5 @@
 
         if ($error) {
-            $this->arrErr[$value[1]] = t('c_* Enter items in order, starting at the beginning. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_026', array('T_FIELD' => $value[0]));
         }
     }
@@ -521,5 +521,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[ァ-ヶｦ-ﾟー]+$/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* For T_FIELD, enter katakana characters. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_027', array('T_FIELD' => $value[0]));
         }
     }
@@ -534,5 +534,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^([　 \t\r\n]|[ァ-ヶ]|[ー])+$/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* For T_FIELD, enter katakana characters. <br />_02', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_028', array('T_FIELD' => $value[0]));
         }
     }
@@ -547,5 +547,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !ctype_alnum($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Enter alphanumeric characters for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_029', array('T_FIELD' => $value[0]));
         }
     }
@@ -560,5 +560,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:graph:][:space:]]+$/i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Enter alphanumeric symbols for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_030', array('T_FIELD' => $value[0]));
         }
     }
@@ -570,5 +570,5 @@
         $this->createParam($value);
         if ($this->arrParam[$value[1]] == '0') {
-            $this->arrErr[$value[1]] = t('c_* Enter at least 1 for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_031', array('T_FIELD' => $value[0]));
         }
     }
@@ -585,5 +585,5 @@
         $count = strlen($this->arrParam[$value[1]]);
         if (($count > 0) && $value[2] > $count || $value[3] < $count) {
-            $this->arrErr[$value[1]] =  t_plural($value[2], 'c_*  T_FIELD must be  between T_COUNT - T_DIGIT_MAX digits. <br />_01', 'c_* For T_FIELD, input between T_COUNT to T_DIGIT_MAX digits. <br />_01', array('T_FIELD' => $value[0], 'T_DIGIT_MAX' => $value[3]));
+            $this->arrErr[$value[1]] =  t_plural($value[2], 'SC_CheckError_032_SINGLE', 'SC_CheckError_032_PLURAL', array('T_FIELD' => $value[0], 'T_DIGIT_MAX' => $value[3]));
         }
     }
@@ -599,5 +599,5 @@
         $count = strlen($this->arrParam[$value[1]]);
         if (($count > 0) && $count != $value[2]) {
-            $this->arrErr[$value[1]] =  t_plural($value[2], 'c_* For T_FIELD, enter T_COUNT digit(s). <br />_01', 'c_* For T_FIELD, input T_COUNT digit(s). <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] =  t_plural($value[2], 'SC_CheckError_033_SINGLE', 'SC_CheckError_033_PLURAL', array('T_FIELD' => $value[0]));
         }
     }
@@ -647,5 +647,5 @@
 
         if (!preg_match($regexp, $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* The T_FIELD format is incorrect. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_034', array('T_FIELD' => $value[0]));
             return;
         }
@@ -666,5 +666,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[a-zA-Z0-9_\.@\+\?-]+$/i",$this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Enter the characters to be used in T_FIELD correctly. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_035', array('T_FIELD' => $value[0]));
         }
     }
@@ -678,5 +678,5 @@
         }
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("@^https?://+($|[a-zA-Z0-9_~=:&\?\.\/-])+$@i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Enter T_FIELD correctly. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_036', array('T_FIELD' => $value[0]));
         }
     }
@@ -698,5 +698,5 @@
                 $param = trim($param);
                 if (long2ip(ip2long($param)) != trim($param) && !empty($param)) {
-                    $this->arrErr[$value[1]] = t('c_* Enter an IP address in the proper format in T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+                    $this->arrErr[$value[1]] = t('SC_CheckError_037', array('T_FIELD' => $value[0]));
                 }
             }
@@ -726,5 +726,5 @@
         if ($match === false) {
             $str_ext = implode('・', $value[2]);
-            $this->arrErr[$value[1]] = t('c_* The format permitted for T_FIELD is T_EXT. <br />_01', array('T_FIELD' => $value[0], 'T_EXT' => $str_ext));
+            $this->arrErr[$value[1]] = t('SC_CheckError_038', array('T_FIELD' => $value[0], 'T_EXT' => $str_ext));
         }
     }
@@ -749,5 +749,5 @@
 
         if ($this->arrParam[$value[1]] != '' && !file_exists($path)) {
-            $this->arrErr[$value[1]] = t('c_* T_PATH cannot be found. <br />_01', array('T_PATH' => $path));
+            $this->arrErr[$value[1]] = t('SC_CheckError_039', array('T_PATH' => $path));
         }
     }
@@ -762,5 +762,5 @@
         $this->createParam($value);
         if (!($_FILES[$value[1]]['size'] != '' && $_FILES[$value[1]]['size'] > 0)) {
-            $this->arrErr[$value[1]] = t('c_* Upload T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_040', array('T_FIELD' => $value[0]));
         }
     }
@@ -780,5 +780,5 @@
                 $byte = 'MB';
             }
-            $this->arrErr[$value[1]] = t('c_* For the T_FIELD file size, use a size that is T_SIZET_UNIT or less. <br />_01', array('T_FIELD' => $value[0], 'T_SIZE' => $value[2], 'T_UNIT' => $byte));
+            $this->arrErr[$value[1]] = t('SC_CheckError_041', array('T_FIELD' => $value[0], 'T_SIZE' => $value[2], 'T_UNIT' => $byte));
         }
     }
@@ -793,5 +793,5 @@
         $this->createParam($value);
         if (strlen($_FILES[$value[1]]['name']) > 0 && !preg_match("/^[[:alnum:]_\.-]+$/i", $_FILES[$value[1]]['name'])) {
-            $this->arrErr[$value[1]] = t('c_* Do not use Japanese or spaces in the file name for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_042', array('T_FIELD' => $value[0]));
         }
     }
@@ -806,5 +806,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:alnum:]_\.-]+$/i", $this->arrParam[$value[1]]) || preg_match('/[\\]/' ,$this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* Do not use Japanese or spaces in the file name for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_043', array('T_FIELD' => $value[0]));
         }
     }
@@ -824,7 +824,7 @@
             // 年月日のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0)) {
-                $this->arrErr[$value[1]] = t('c_* Enter all items for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('T_FIELD' => $value[0]));
             } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = t('c_* T_FIELD is not correct. <br />_01', array('T_FIELD' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('T_FIELD' => $value[0]));
             }
         }
@@ -847,7 +847,7 @@
             // 年月日時のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0)) {
-                $this->arrErr[$value[1]] = t('c_* Enter all items for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('T_FIELD' => $value[0]));
             } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = t('c_* T_FIELD is not correct. <br />_01', array('T_FIELD' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('T_FIELD' => $value[0]));
             }
         }
@@ -867,7 +867,7 @@
             // 年月日時のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0)) {
-                $this->arrErr[$value[1]] = t('c_* Enter all items for T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_024', array('T_FIELD' => $value[0]));
             } else if (! checkdate($this->arrParam[$value[2]], 1, $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = t('c_* T_FIELD is not correct. <br />_01', array('T_FIELD' => $value[0]));
+                $this->arrErr[$value[1]] = t('SC_CheckError_044', array('T_FIELD' => $value[0]));
             }
         }
@@ -889,5 +889,5 @@
 
             // 年の数字チェック、最小数値制限チェック
-            $this->doFunc(array($value[0].'(' . t('c_Year_01') . ')', $value[1], BIRTH_YEAR), array('NUM_CHECK', 'MIN_CHECK'));
+            $this->doFunc(array($value[0].'(' . t('PARAM_LABEL_YEAR') . ')', $value[1], BIRTH_YEAR), array('NUM_CHECK', 'MIN_CHECK'));
             // 上のチェックでエラーある場合、中断する。
             if (isset($this->arrErr[$value[1]])) {
@@ -896,5 +896,5 @@
 
             // 年の最大数値制限チェック
-            $this->doFunc(array($value[0].'(' . t('c_Year_01') . ')', $value[1], date('Y',strtotime('now'))), array('MAX_CHECK'));
+            $this->doFunc(array($value[0].'(' . t('PARAM_LABEL_YEAR') . ')', $value[1], date('Y',strtotime('now'))), array('MAX_CHECK'));
             // 上のチェックでエラーある場合、中断する。
             if (isset($this->arrErr[$value[1]])) {
@@ -932,8 +932,8 @@
         $this->createParam($value);
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0 || strlen($this->arrParam[$value[4]]) > 0) && ! checkdate($this->arrParam[$value[3]], $this->arrParam[$value[4]], $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = t('c_* Specify T_FIELD correctly. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('T_FIELD' => $value[0]));
         }
         if ((strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0) && ! checkdate($this->arrParam[$value[6]], $this->arrParam[$value[7]], $this->arrParam[$value[5]])) {
-            $this->arrErr[$value[5]] = t('c_* Specify T_FIELD correctly. <br />_01', array('T_FIELD' => $value[1]));
+            $this->arrErr[$value[5]] = t('SC_CheckError_045', array('T_FIELD' => $value[1]));
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0) &&  (strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0)) {
@@ -943,5 +943,5 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[5]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = t('c_* The period specification for T_START and T_END is not correct. <br />_01', array('T_START' => $value[0], 'T_END' => $value[1]));
+                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('T_START' => $value[0], 'T_END' => $value[1]));
             }
         }
@@ -982,8 +982,8 @@
         $this->createParam($value);
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0 || strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0) && ! checkdate($this->arrParam[$value[3]], $this->arrParam[$value[4]], $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = t('c_* Specify T_FIELD correctly. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('T_FIELD' => $value[0]));
         }
         if ((strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0) && ! checkdate($this->arrParam[$value[9]], $this->arrParam[$value[10]], $this->arrParam[$value[8]])) {
-            $this->arrErr[$value[8]] = t('c_* Specify T_FIELD correctly. <br />_01', array('T_FIELD' => $value[1]));
+            $this->arrErr[$value[8]] = t('SC_CheckError_045', array('T_FIELD' => $value[1]));
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0) &&  (strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0)) {
@@ -993,8 +993,8 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[8]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = t('c_* The period specification for T_START and T_END is not correct. <br />_01', array('T_START' => $value[0], 'T_END' => $value[1]));
+                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('T_START' => $value[0], 'T_END' => $value[1]));
             }
             if ($date1 == $date2) {
-                $this->arrErr[$value[2]] = t('c_* The period specification for T_START and T_END is not correct. <br />_01', array('T_START' => $value[0], 'T_END' => $value[1]));
+                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('T_START' => $value[0], 'T_END' => $value[1]));
             }
 
@@ -1025,8 +1025,8 @@
         $this->createParam($value);
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0) && ! checkdate($this->arrParam[$value[3]], 1, $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = t('c_* Specify T_FIELD correctly. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[2]] = t('SC_CheckError_045', array('T_FIELD' => $value[0]));
         }
         if ((strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0) && ! checkdate($this->arrParam[$value[5]], 1, $this->arrParam[$value[4]])) {
-            $this->arrErr[$value[4]] = t('c_* Specify T_FIELD correctly. <br />_01', array('T_FIELD' => $value[1]));
+            $this->arrErr[$value[4]] = t('SC_CheckError_045', array('T_FIELD' => $value[1]));
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && (strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0))) {
@@ -1036,5 +1036,5 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[5]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = t('c_* The period specification for T_START and T_END is not correct. <br />_01', array('T_START' => $value[0], 'T_END' => $value[1]));
+                $this->arrErr[$value[2]] = t('SC_CheckError_046', array('T_START' => $value[0], 'T_END' => $value[1]));
             }
         }
@@ -1048,5 +1048,5 @@
         $this->createParam($value);
         if (!is_dir($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* The designated T_FIELD does not exist. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_047', array('T_FIELD' => $value[0]));
         }
     }
@@ -1058,5 +1058,5 @@
         }
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^\.[^.]+\..+/i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* The T_FIELD format is incorrect. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_048', array('T_FIELD' => $value[0]));
         }
     }
@@ -1072,5 +1072,5 @@
         $objMobile = new SC_Helper_Mobile_Ex();
         if (strlen($this->arrParam[$value[1]]) > 0 && !$objMobile->gfIsMobileMailAddress($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = t('c_* T_FIELD is not for mobile phones. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_049', array('T_FIELD' => $value[0]));
         }
     }
@@ -1093,8 +1093,8 @@
         switch ($register_user_flg) {
             case 1:
-                $this->arrErr[$value[1]] .= t('c_* T_FIELD already used in member registration. <br />_01', array('T_FIELD' => $value[0]));
+                $this->arrErr[$value[1]] .= t('SC_CheckError_050', array('T_FIELD' => $value[0]));
                 break;
             case 2:
-                $this->arrErr[$value[1]] .= t('c_* For a certain period of time after membership withdrawal, it is not possible to use the same T_FIELD. <br />_01', array('T_FIELD' => $value[0]));
+                $this->arrErr[$value[1]] .= t('SC_CheckError_051', array('T_FIELD' => $value[0]));
                 break;
             default:
@@ -1120,5 +1120,5 @@
         $pattern = '/' . join('|', $prohibitedStr) . '/i';
         if (preg_match_all($pattern, $targetStr, $matches = array())) {
-            $this->arrErr[$value[1]] = t('c_* T_FIELD cannot be entered. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[1]] = t('SC_CheckError_052', array('T_FIELD' => $value[0]));
         }
     }
@@ -1137,5 +1137,5 @@
         $this->createParam($value);
         if ($this->evalCheck($value[1]) === false) {
-            $this->arrErr[$value[0]] = t('c_* The T_FIELD format is incorrect. <br />_01', array('T_FIELD' => $value[0]));
+            $this->arrErr[$value[0]] = t('SC_CheckError_053', array('T_FIELD' => $value[0]));
         }
     }
Index: /branches/version-2_12-multilang/data/class/SC_PageNavi.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_PageNavi.php	(revision 22416)
+++ /branches/version-2_12-multilang/data/class/SC_PageNavi.php	(revision 22433)
@@ -79,5 +79,5 @@
                 $urlParamThis = htmlentities($urlParamThis, ENT_QUOTES);
                 $before = "<a href=\"?$urlParamThis\" onclick=\"$func_name('{$this->arrPagenavi['before']}'); return false;\">";
-                $before .= t('c_&lt;&lt;Back_01');
+                $before .= t('SC_PageNavi_001');
                 $before .= "</a> ";
             } else {
@@ -90,5 +90,5 @@
                 $urlParamThis = htmlentities($urlParamThis, ENT_QUOTES);
                 $next = " <a href=\"?$urlParamThis\" onclick=\"$func_name('{$this->arrPagenavi['next']}'); return false;\">";
-                $next .= t('c_Next&gt;&gt;_01');
+                $next .= t('SC_PageNavi_002');
                 $next .= "</a>";
             } else {
Index: /branches/version-2_12-multilang/data/class/SC_SendMail.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_SendMail.php	(revision 22416)
+++ /branches/version-2_12-multilang/data/class/SC_SendMail.php	(revision 22433)
@@ -124,5 +124,5 @@
      */
     function setHost($host) {
-        trigger_error(t('c_A method for upward compatibility was used._01'), E_USER_WARNING);
+        trigger_error(t('SC_SendMail_001'), E_USER_WARNING);
         $this->host = $host;
         $arrHost = array(
@@ -141,5 +141,5 @@
      */
     function setPort($port) {
-        trigger_error(t('c_A method for upward compatibility was used._01'), E_USER_WARNING);
+        trigger_error(t('SC_SendMail_001'), E_USER_WARNING);
         $this->port = $port;
         $arrHost = array(
@@ -281,5 +281,5 @@
             // XXX Windows 環境では SJIS でメッセージを受け取るようなので変換する。
             $tokens = array('T_MESSAGE' => mb_convert_encoding($result->getMessage(), CHAR_CODE, 'auto'));
-            $msg = t('c_E-mail sending failed.[T_MESSAGE]_01', $tokens);
+            $msg = t('SC_SendMail_003', $tokens);
             trigger_error($msg, E_USER_WARNING);
             GC_Utils_Ex::gfDebugLog($header);
@@ -333,5 +333,5 @@
 
             default:
-                trigger_error(t('c_Unknown backend.[$backend = T_BACKEND]_01', array('T_BACKEND' => var_export($backend, true))), E_USER_ERROR);
+                trigger_error(t('SC_SendMail_002', array('T_BACKEND' => var_export($backend, true))), E_USER_ERROR);
                 exit;
         }
